# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
ALSA_CFLAGS = @ALSA_CFLAGS@
ALSA_LIBS = @ALSA_LIBS@
CC = @CC@
CFSML_FLAGS = @CFSML_FLAGS@
HAVE_LIB = @HAVE_LIB@
LEX = @LEX@
LIB = @LIB@
LIB_M = @LIB_M@
LTLIB = @LTLIB@
MAKEINFO = @MAKEINFO@
MORPHOS_LIBS = @MORPHOS_LIBS@
PACKAGE = @PACKAGE@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
RPM_VERSION = @RPM_VERSION@
SCIV_LDFLAGS = @SCIV_LDFLAGS@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
VERSION = @VERSION@
YACC = @YACC@
ac_curses_includes = @ac_curses_includes@
ac_curses_libraries = @ac_curses_libraries@
ac_directfb_includes = @ac_directfb_includes@
ac_directfb_libraries = @ac_directfb_libraries@
ac_ggi_includes = @ac_ggi_includes@
ac_ggi_libraries = @ac_ggi_libraries@
ac_glx_libraries = @ac_glx_libraries@
ac_graphics_directfb_libfile = @ac_graphics_directfb_libfile@
ac_graphics_directfb_libobjects = @ac_graphics_directfb_libobjects@
ac_graphics_ggi_libfile = @ac_graphics_ggi_libfile@
ac_graphics_ggi_libobjects = @ac_graphics_ggi_libobjects@
ac_png_includes = @ac_png_includes@
ac_png_libraries = @ac_png_libraries@
ac_pthread_libraries = @ac_pthread_libraries@
ac_readline = @ac_readline@
ev6_cpu = @ev6_cpu@
fsci_ggi_dl = @fsci_ggi_dl@
fsci_ggi_st = @fsci_ggi_st@
fsci_sdl_dl = @fsci_sdl_dl@
fsci_sdl_st = @fsci_sdl_st@
fsci_xlib_dl = @fsci_xlib_dl@
fsci_xlib_st = @fsci_xlib_st@

INCLUDES = -I$(top_srcdir)/src/include
EXTRA_DIST = sci_dos.c treedef.1 treedef.2 treedef.3 hufftree.1 			 hufftree.2 hufftree.3 huffmake.pl

noinst_LIBRARIES = libscicore.a
libscicore_a_SOURCES = console.c tools.c resource.c decompress0.c     		 decompress01.c decompress1.c decompress11.c script.c 		 vocab.c vocab_debug.c old_objects.c modules.c        		 sci_memory.c resource_map.c resource_patch.c 	      		 fnmatch.c versions.c

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
libscicore_a_LIBADD = 
libscicore_a_OBJECTS =  console.o tools.o resource.o decompress0.o \
decompress01.o decompress1.o decompress11.o script.o vocab.o \
vocab_debug.o old_objects.o modules.o sci_memory.o resource_map.o \
resource_patch.o fnmatch.o versions.o
AR = ar
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libscicore_a_SOURCES)
OBJECTS = $(libscicore_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/scicore/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libscicore.a: $(libscicore_a_OBJECTS) $(libscicore_a_DEPENDENCIES)
	-rm -f libscicore.a
	$(AR) cru libscicore.a $(libscicore_a_OBJECTS) $(libscicore_a_LIBADD)
	$(RANLIB) libscicore.a

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/scicore

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
console.o: console.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/engine.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/soundserver.h \
	../../src/include/uinput.h ../../src/include/console.h \
	../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
decompress0.o: decompress0.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h
decompress01.o: decompress01.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h
decompress1.o: decompress1.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h \
	treedef.1 treedef.2 treedef.3
decompress11.o: decompress11.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h
fnmatch.o: fnmatch.c ../../config.h
modules.o: modules.c
old_objects.o: old_objects.c ../../src/include/sciresource.h \
	../../config.h ../../src/include/resource.h \
	../../src/include/scitypes.h ../../src/include/console.h \
	../../src/include/sci_memory.h ../../src/include/uinput.h \
	../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/script.h \
	../../src/include/util.h ../../src/include/vocabulary.h \
	../../src/include/heap.h ../../src/include/versions.h \
	../../src/include/old_objects.h ../../src/include/vm.h
resource.o: resource.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h \
	../../src/include/vocabulary.h ../../src/include/heap.h \
	../../src/include/versions.h
resource_map.o: resource_map.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/sciresource.h
resource_patch.o: resource_patch.c ../../src/include/sciresource.h \
	../../config.h ../../src/include/resource.h \
	../../src/include/scitypes.h ../../src/include/sci_memory.h
sci_memory.o: sci_memory.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h
script.o: script.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
tools.o: tools.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
versions.o: versions.c ../../src/include/versions.h \
	../../src/include/scitypes.h ../../config.h \
	../../src/include/engine.h ../../src/include/resource.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/sound.h \
	../../src/include/sci_memory.h ../../src/include/soundserver.h \
	../../src/include/uinput.h ../../src/include/console.h \
	../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h ../../src/include/games.h
vocab.o: vocab.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
vocab_debug.o: vocab_debug.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
